// dlgShapeScript.h: interface for the dlgShapeScript class.
//
//////////////////////////////////////////////////////////////////////

#ifndef dlgShapeScript_H
#define dlgShapeScript_H

#include "dlgShapeScript_ui.h"
#include <krosseyedoc.h>

#define NO_DEF	-424269

class dlgShapeScript : public dlgShapeScript_ui
{
   Q_OBJECT
public:
	dlgShapeScript(KrosseyeDoc *doc, QWidget *parent=0, const char *name=0);
	virtual ~dlgShapeScript();

public slots:
    virtual void slotRunScript();
	virtual void slotSaveScript();
	virtual void slotLoadScript();
	void slotTick();

protected:
	bool do_exec_line(int line_to_exec);
	void do_exec_stop(void);
	
	int getAttr(QString line, QString tag, int def = NO_DEF);

	KrosseyeDoc *Doc;
    QTimer *timer;
	QString exec_script;
	int exec_line;
	int offsetx,offsety;
	int scale;

};

#endif // dlgShapeScript_H
