
/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Jun 10 19:09:16 CEST 2001
    copyright            : (C) 2001 by Tersevs
    email                : tersevs@home.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
//#include <qwindowsstyle.h>

#include "krosseye.h"

int
 main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	a.setFont(QFont("helvetica", 12));
	QTranslator tor(0);
	// set the location where your .qm files are in load() below as the last parameter instead of "."
	// for development, use "/" to use the english original as
	// .qm files are stored in the base project directory.
  tor.load(QString("krosseye.") + QTextCodec::locale(), ".");
	a.installTranslator(&tor);
	/* uncomment the following line, if you want a Windows 95 look */
	//a.setStyle(new QWindowsStyle);

	KrosseyeApp *krosseye = new KrosseyeApp();
	a.setMainWidget(krosseye);


	krosseye->show();

	return a.exec();
}
