/***************************************************************************
                          mlabel.h  -  description
                             -------------------
    begin                : Sat Jul 7 2001
    copyright            : (C) 2001 by Tersevs
    email                : tersevs@home.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MLABEL_H
#define MLABEL_H

#include <qwidget.h>
#include <qlabel.h>
#include <qevent.h>
#include <qpoint.h>

/**
  *@author Tersevs
  */

class MLabel : public QLabel  {
   Q_OBJECT
public: 
	MLabel(QWidget *parent=0, const char *name=0);
	~MLabel();
protected:
  void mousePressEvent(QMouseEvent *mouseevent);
  void mouseReleaseEvent(QMouseEvent *mouseevent);
  void mouseMoveEvent(QMouseEvent *mouseevent);


signals: // Signals
  /** No descriptions */
  void signalMousePressEvent(QMouseEvent );
  void signalMouseReleaseEvent(QMouseEvent );
  void signalMouseMoveEvent(QMouseEvent );
};

#endif
