/***************************************************************************
                          dlgnew.cpp  -  description
                             -------------------
    begin                : Mon Jun 18 2001
    copyright            : (C) 2001 by Tersevs
    email                : tersevs@home.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgnew.h"
#include <stdio.h>
#include <stdlib.h>
#include <qlineedit.h>
#include <qslider.h>

dlgNew::dlgNew(QWidget * parent, const char *name):
 dlgNew_ui(parent, name, true)
{
}

dlgNew::~dlgNew()
{
}


/** No descriptions */
void
 dlgNew::SetData(KrosseyeDoc * doc)
{
	char buffer[20];

	sprintf(buffer, "%d", doc->width);
	txtWidth->setText(buffer);
	sprintf(buffer, "%d", doc->heigth);
	txtHeight->setText(buffer);

	slAntialias->setValue(doc->antialias);
}

/** No descriptions */
void
 dlgNew::GetData(KrosseyeDoc * doc)
{
	int i;

	i = atoi(txtWidth->text());
	if (i > 99 && i < 5001)
	{
		doc->width = i;
	}

	i = atoi(txtHeight->text());
	if (i > 99 && i < 5001)
	{
		doc->heigth = i;
	}

	doc->antialias = slAntialias->value();
}
