/***************************************************************************
                          mlabel.cpp  -  description
                             -------------------
    begin                : Sat Jul 7 2001
    copyright            : (C) 2001 by Tersevs
    email                : tersevs@home.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mlabel.h"

MLabel:: MLabel(QWidget * parent, const char *name):QLabel(parent, name)
{
	//setMouseTracking ( true );
}

void
 MLabel::mousePressEvent(QMouseEvent * mouseevent)
{
	emit signalMousePressEvent(*mouseevent);
}

void
 MLabel::mouseReleaseEvent(QMouseEvent * mouseevent)
{
	emit signalMouseReleaseEvent(*mouseevent);
}

void
 MLabel::mouseMoveEvent(QMouseEvent * mouseevent)
{
	emit signalMouseMoveEvent(*mouseevent);
}

MLabel::~MLabel()
{
}
